import React from "react";
import PropTypes from "prop-types";
import { CheckCircleOutlineRounded, RemoveRounded } from "@material-ui/icons";
import { LinearProgress, Grid } from "@material-ui/core";

const ActiveIcon = ({ active, loading }) => {
  if (loading && loading === true) {
    return (
      <Grid container>
        <Grid item xs={5} />
        <Grid item xs={2}>
          <LinearProgress />
        </Grid>
        <Grid item xs={5} />
      </Grid>
    );
  }

  return active && active === true ? (
    <CheckCircleOutlineRounded color="primary" fontSize="small" />
  ) : (
    <RemoveRounded fontSize="small" />
  );
};

ActiveIcon.propTypes = {
  active: PropTypes.bool,
  loading: PropTypes.bool
};

export default ActiveIcon;
