import React from "react";
import { NavLink } from "react-router-dom";
import PropTypes from "prop-types";

const MenuLink = ({ to, label, exact, last }) => {
  const activeStyle = { color: "#F15B2A" };
  const style = { color: "#fff" };

  return (
    <>
      <NavLink to={to} activeStyle={activeStyle} style={style} exact={exact}>
        {label}
      </NavLink>
      {!last && " | "}
    </>
  );
};

MenuLink.propTypes = {
  to: PropTypes.string.isRequired,
  label: PropTypes.string.isRequired,
  exact: PropTypes.bool,
  last: PropTypes.bool
};

export default MenuLink;
