import React from "react";
import { useTranslation } from "react-i18next";
import MenuLink from "./MenuLink";

const Navigation = () => {
  const { t } = useTranslation();

  return (
    <>
      <MenuLink to="/" label={t("Menu.Home")} exact />
      <MenuLink to="/sessions" label={t("Menu.Sessions")} />
      <MenuLink to="/release-notes" label={t("Menu.ReleaseNotes")} />
      <MenuLink to="/log" label={t("Menu.Log")} />
      <MenuLink to="/about" label={t("Menu.About")} last />
    </>
  );
};

Navigation.propTypes = {};

export default Navigation;
