import React from "react";
import { connect } from "react-redux";
import { bindActionCreators } from "redux";
import PropTypes from "prop-types";
import AboutComponent from "./AboutComponent";
import TechnologiesComponent from "./TechnologiesComponent";

const AboutContainer = () => {
  const handleOpenDocumentation = event => {
    const url = process.env.REVERSE_PROXY_DOCS_URL;
    window.open(url, "_blank");
    event.preventDefault();
  };

  return (
    <>
      <AboutComponent onOpenDocumentation={handleOpenDocumentation} />
      <br />
      <br />
      <TechnologiesComponent />
    </>
  );
};

AboutContainer.propTypes = {
  actions: PropTypes.object.isRequired
};

function mapStateToProps() {
  return {};
}

function mapDispatchToProps(dispatch) {
  return {
    actions: bindActionCreators({}, dispatch)
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(AboutContainer);
