import React, { useEffect } from "react";
import { connect } from "react-redux";
import { bindActionCreators } from "redux";
import PropTypes from "prop-types";
import SessionsRunningTimeChart from "./SessionsRunningTimeChart";
import { loadSessionsRunningTime } from "../actionCreators";

const ServerChartsContainer = ({ actions, sessionRunningTime }) => {
  useEffect(() => {
    actions.loadSessionsRunningTime();
  }, []);

  return (
    <>
      <SessionsRunningTimeChart data={sessionRunningTime} />
    </>
  );
};

ServerChartsContainer.propTypes = {
  actions: PropTypes.object.isRequired,
  sessionRunningTime: PropTypes.array.isRequired
};

function mapStateToProps(state) {
  return {
    sessionRunningTime: state.charts.server.sessions.runningTime
  };
}

function mapDispatchToProps(dispatch) {
  return {
    actions: bindActionCreators({ loadSessionsRunningTime }, dispatch)
  };
}

export default connect(
  mapStateToProps,
  mapDispatchToProps
)(ServerChartsContainer);
