import * as types from "./actionTypes";
import initialState from "../../../redux/reducers/initialState";

export default function serverChartsReducer(
  state = initialState.charts.server,
  action
) {
  switch (action.type) {
    case types.LOAD_SERVER_CHART_SESSIONS_RUNNING_TIME_STARTED:
      return {
        ...state,
        sessions: {
          ...state.sessions,
          runningTime: Object.assign([], { loading: true, loaded: false })
        }
      };

    case types.LOAD_SERVER_CHART_SESSIONS_RUNNING_TIME_SUCCESS:
      return {
        ...state,
        sessions: {
          ...state.sessions,
          runningTime: Object.assign(action.payload, {
            loading: false,
            loaded: true
          })
        }
      };

    default:
      return state;
  }
}
