import { get, post } from "../../api/axiosApi";
const baseUrl = process.env.CHATBOT_API_URL;

const getBotSession = (botName, externalId, clientApplication, userKey) =>
  get(
    `${baseUrl}/system/initialize-session/${botName}/${externalId}/${clientApplication}/${userKey}`
  );
const initializeChat = sessionId =>
  get(`${baseUrl}/chat/initialize/${sessionId}`);
const closeChat = chatId =>
  post(`${baseUrl}/chat/close`, {
    chatId
  });
const saveMessage = (chatId, messageSourceId, messageDate, messageContent) =>
  post(`${baseUrl}/chat/message`, {
    chatId,
    messageSourceId,
    messageDate,
    messageContent
  });

export default {
  getBotSession,
  initializeChat,
  closeChat,
  saveMessage
};
