import React from "react";
import PropTypes from "prop-types";
import ExpandableCard from "../../../../components/common/ExpandableCard";
import ForwardOptionsAdvancedContainer from "../../options/components/advanced/ForwardOptionsAdvancedContainer";
import { useTranslation } from "react-i18next";
import ForwardIcon from "@material-ui/icons/Forward";
import ForwardSummary from "./ForwardSummary";

const ForwardComponent = ({ forward, handleForwardClick }) => {
  const { t } = useTranslation();

  return (
    <>
      <ExpandableCard
        Icon={<ForwardIcon />}
        title={t("Forward.Label", forward)}
        subtitle={t("Forward.Subtitle", forward)}
        Summary={
          <ForwardSummary
            forward={forward}
            handleForwardClick={handleForwardClick}
          />
        }
        Content={<div>...</div>}
      />
      <br />
      <ForwardOptionsAdvancedContainer optionsId={forward.optionId} />
    </>
  );
};

ForwardComponent.propTypes = {
  forward: PropTypes.object.isRequired,
  handleForwardClick: PropTypes.func.isRequired
};

export default ForwardComponent;
