import React from "react";
import PropTypes from "prop-types";
import { Chip } from "@material-ui/core";
import { makeStyles } from "@material-ui/core/styles";
import styles from "../../../../components/common/styles/elementStyles";

const useStyles = makeStyles(styles);

const ForwardProtocols = ({ protocols }) => {
  const classes = useStyles();

  return (
    <>
      {protocols.map(protocol => (
        <Chip
          key={protocols.indexOf(protocol)}
          size="small"
          label={protocol}
          className={classes.smallChip}
        />
      ))}
    </>
  );
};

ForwardProtocols.propTypes = {
  protocols: PropTypes.array.isRequired
};

export default ForwardProtocols;
