import * as types from "./actionTypes";
import api from "./api";
import { sendHttpRequest } from "../../../redux/actions/httpActions";

export function loadForwardOptions(optionId) {
  return async function(dispatch, getState) {
    try {
      const options = getState().options[optionId];
      if (options && (options.loading || options.loaded)) return;

      dispatch({ type: types.LOAD_FORWARD_OPTIONS_STARTED, id: optionId });
      const data = await dispatch(
        sendHttpRequest(api.getForwardOptions(optionId))
      );
      dispatch({
        type: types.LOAD_FORWARD_OPTIONS_SUCCESS,
        payload: data,
        id: optionId
      });
    } catch (error) {
      throw error;
    }
  };
}
