import React from "react";
import PropTypes from "prop-types";
import TrailingSlashCard from "./trailingSlash/TrailingSlashCard";
import PathOverwriteCard from "./pathOverwrite/PathOverwriteCard";
import PathInjectionCard from "./pathInjection/PathInjectionCard";
import KeyOverwriteCard from "./keyOverwrite/KeyOverwriteCard";

const ForwardOptionsAdvancedComponent = ({ options }) => {
  return (
    <>
      {options.trailingSlash && (
        <>
          <TrailingSlashCard enabled={options.trailingSlash} />
          <br />
        </>
      )}
      {options.pathOverwrite && (
        <>
          <PathOverwriteCard data={options.pathOverwrite} />
          <br />
        </>
      )}
      {options.pathInjection && (
        <>
          <PathInjectionCard data={options.pathInjection} />
          <br />
        </>
      )}
      {options.keyOverwrite && (
        <>
          <KeyOverwriteCard data={options.keyOverwrite} />
          <br />
        </>
      )}
    </>
  );
};

ForwardOptionsAdvancedComponent.propTypes = {
  options: PropTypes.object.isRequired
};

export default ForwardOptionsAdvancedComponent;
