import React from "react";
import PropTypes from "prop-types";
import ExceptionsCard from "../exceptions/ExceptionsCard";
import ChangePointsCard from "../changePoints/ChangePointsCard";

const AdvancedSettingsComponent = ({ data }) => {
  const spaceBetweenCards =
    data &&
    data.exceptions &&
    data.changePoints &&
    data.changePoints.length > 0;
  return (
    <>
      {data && data.exceptions && (
        <ExceptionsCard exceptions={data.exceptions} />
      )}
      {spaceBetweenCards && <br />}

      {data && data.changePoints && data.changePoints.length > 0 && (
        <ChangePointsCard changePoints={data.changePoints} />
      )}
    </>
  );
};

AdvancedSettingsComponent.propTypes = {
  data: PropTypes.object
};

export default AdvancedSettingsComponent;
