import React from "react";
import PropTypes from "prop-types";
import ExpandableCard from "../../../../../../components/common/ExpandableCard";
import { useTranslation } from "react-i18next";
import FindReplaceIcon from "@material-ui/icons/FindReplace";
import KeyOverwriteSummary from "./KeyOverwriteSummary";
import AdvancedSettingsComponent from "../advancedSettings/AdvancedSettingsComponent";

const KeyOverwriteCard = ({ data }) => {
  const { t } = useTranslation();

  return (
    <ExpandableCard
      Icon={<FindReplaceIcon />}
      title={t("Forward.Options.KeyOverwrite.Label")}
      subtitle={t("Forward.Options.KeyOverwrite.Tooltip")}
      expandable={data.advancedSettings}
      Summary={<KeyOverwriteSummary data={data} />}
      Content={<AdvancedSettingsComponent data={data.advancedSettings} />}
    />
  );
};

KeyOverwriteCard.propTypes = {
  data: PropTypes.object.isRequired
};

export default KeyOverwriteCard;
