import React from "react";
import PropTypes from "prop-types";
import ExpandableCard from "../../../../../../components/common/ExpandableCard";
import { useTranslation } from "react-i18next";
import InputIcon from "@material-ui/icons/Input";
import PathInjectionSummary from "./PathInjectionSummary";
import AdvancedSettingsComponent from "../advancedSettings/AdvancedSettingsComponent";

const PathInjectionCard = ({ data }) => {
  const { t } = useTranslation();

  return (
    <ExpandableCard
      Icon={<InputIcon />}
      title={t("Forward.Options.PathInjection.Label")}
      subtitle={t("Forward.Options.PathInjection.Tooltip")}
      Summary={<PathInjectionSummary data={data} />}
      Content={<AdvancedSettingsComponent data={data.advancedSettings} />}
    />
  );
};

PathInjectionCard.propTypes = {
  data: PropTypes.object.isRequired
};

export default PathInjectionCard;
