import React from "react";
import PropTypes from "prop-types";
import { Grid } from "@material-ui/core";
import { makeStyles } from "@material-ui/core/styles";
import { useTranslation } from "react-i18next";
import styles from "../../../../../../components/common/styles/gridStyles";
import ActiveIcon from "../../../../../../components/common/ActiveIcon";

const useStyles = makeStyles(styles);

const PathInjectionSummary = ({ data }) => {
  const classes = useStyles();
  const { t } = useTranslation();

  return (
    <Grid container>
      <Grid item xs={6} sm={3} md={3}>
        {`${t("General.Enabled")}: `}
        <ActiveIcon active={data.on} />
      </Grid>

      <Grid item xs={6} sm={3} md={3}>
        {`${t("Forward.Options.PathInjection.Mode")}: `}
        <span className={classes.value}>{data.mode}</span>
      </Grid>
    </Grid>
  );
};

PathInjectionSummary.propTypes = {
  data: PropTypes.object.isRequired
};

export default PathInjectionSummary;
