import React from "react";
import PropTypes from "prop-types";
import ExpandableCard from "../../../../../../components/common/ExpandableCard";
import { useTranslation } from "react-i18next";
import ThreeSixtyIcon from "@material-ui/icons/ThreeSixty";
import PathOverwriteSummary from "./PathOverwriteSummary";
import AdvancedSettingsComponent from "../advancedSettings/AdvancedSettingsComponent";

const PathOverwriteCard = ({ data }) => {
  const { t } = useTranslation();

  return (
    <ExpandableCard
      Icon={<ThreeSixtyIcon />}
      title={t("Forward.Options.PathOverwrite.Label")}
      subtitle={t("Forward.Options.PathOverwrite.Tooltip")}
      Summary={<PathOverwriteSummary data={data} />}
      Content={<AdvancedSettingsComponent data={data.advancedSettings} />}
    />
  );
};

PathOverwriteCard.propTypes = {
  data: PropTypes.object.isRequired
};

export default PathOverwriteCard;
