import React from "react";
import PropTypes from "prop-types";
import ExpandableCard from "../../../../../../components/common/ExpandableCard";
import { useTranslation } from "react-i18next";
import TrailingSlashSummary from "./TrailingSlashSummary";

const TrailingSlashCard = ({ enabled }) => {
  const { t } = useTranslation();

  return (
    <ExpandableCard
      Icon={<div>/</div>}
      title={t("Forward.Options.TrailingSlash.Label")}
      subtitle={t("Forward.Options.TrailingSlash.Tooltip")}
      Summary={<TrailingSlashSummary enabled={enabled} />}
      Content={<div>...</div>}
    />
  );
};

TrailingSlashCard.propTypes = {
  enabled: PropTypes.bool.isRequired
};

export default TrailingSlashCard;
