import React from "react";
import PropTypes from "prop-types";
import { Grid } from "@material-ui/core";
import { useTranslation } from "react-i18next";
import ActiveIcon from "../../../../../../components/common/ActiveIcon";

const TrailingSlashSummary = ({ enabled }) => {
  const { t } = useTranslation();

  return (
    <Grid container>
      <Grid item xs={6} sm={3} md={3}>
        {`${t("General.Enabled")}: `}
        <ActiveIcon active={enabled} />
      </Grid>
    </Grid>
  );
};

TrailingSlashSummary.propTypes = {
  enabled: PropTypes.bool.isRequired
};

export default TrailingSlashSummary;
