import * as types from "./actionTypes";
import initialState from "../../redux/reducers/initialState";

export default function frontendSessionReducer(
  state = initialState.frontendSession,
  action
) {
  switch (action.type) {
    case types.INITIALIZE_FRONTEND_SESSION_STARTED:
      return {
        loading: true,
        loaded: false
      };

    case types.INITIALIZE_FRONTEND_SESSION_SUCCESS:
      return {
        ...state,
        ...action.payload,
        loading: false,
        loaded: true
      };

    default:
      return state;
  }
}
