import * as types from "./actionTypes";
import api from "./api";
import { sendHttpRequest } from "../../redux/actions/httpActions";

export function saveMessageForAuthor(messageContent) {
  return async function (dispatch, getState) {
    try {
      const sessionId = getState().frontendSession.sessionId;
      const event = await dispatch(
        sendHttpRequest(api.saveMessageForAuthor(sessionId, messageContent))
      );
      dispatch({ type: types.SAVE_MESSAGE_FOR_AUTHOR_SUCCESS, payload: event });
      return event;
    } catch (error) {
      throw error;
    }
  };
}
