import React from "react";
import PropTypes from "prop-types";
import { Grid } from "@material-ui/core";
import { makeStyles } from "@material-ui/core/styles";
import { useTranslation } from "react-i18next";
import styles from "../../../components/common/styles/gridStyles";

const useStyles = makeStyles(styles);

const ActiveSessionSummary = ({ session }) => {
  const classes = useStyles();
  const { t } = useTranslation();

  return (
    <Grid container>
      <Grid item xs={6} sm={3} md={3}>
        {`${t("Session.RunningTime")}: `}
        <span className={classes.value}>{session.runningTime}</span>
      </Grid>

      <Grid item xs={6} sm={3} md={3}>
        {`${t("Session.StartDate")}: `}
        <span className={classes.value}>
          {t("DATE_FORMAT", {
            date: { value: session.startDate, format: "DD-MM-YYYY HH:mm:ss" }
          })}
        </span>
      </Grid>

      <Grid item xs={6} sm={3} md={3}>
        {`${t("Session.Host")}: `}
        <span className={classes.value}>{session.hostName}</span>
      </Grid>

      <Grid item xs={6} sm={3} md={3}>
        {`${t("Session.Forwards.Title")}: `}
        <span className={classes.value}>{session.forwardsNumber}</span>
      </Grid>
    </Grid>
  );
};

ActiveSessionSummary.propTypes = {
  session: PropTypes.object.isRequired
};

export default ActiveSessionSummary;
