import React from "react";
import PropTypes from "prop-types";
import { Grid } from "@material-ui/core";
import { makeStyles } from "@material-ui/core/styles";
import { useTranslation } from "react-i18next";
import styles from "../../../components/common/styles/gridStyles";

const useStyles = makeStyles(styles);

const SessionForwardsHeaderComponent = ({ session }) => {
  const classes = useStyles();
  const { t } = useTranslation();

  return (
    <Grid container className={classes.miniContainer}>
      <Grid item xs={12} sm={5} md={5}>
        {`${t("Session.LogRows")}: `}
        <span className={classes.value}>{session.logRows || "-"}</span>
      </Grid>

      <Grid item xs={12} sm={5} md={5}>
        {`${t("Session.LogSize")}: `}
        <span className={classes.value}>{`${
          session.logSizeKB || "-"
        } KB`}</span>
      </Grid>
    </Grid>
  );
};

SessionForwardsHeaderComponent.propTypes = {
  session: PropTypes.object.isRequired
};

export default SessionForwardsHeaderComponent;
