import * as types from "./actionTypes";
import initialState from "../../redux/reducers/initialState";
import { snackbarType } from "./snackbarType";

export default function snackbarReducer(state = initialState.snackbar, action) {
  switch (action.type) {
    case types.SHOW_SNACKBAR_INFO:
      return { ...state, message: action.payload, type: snackbarType.info };

    case types.SHOW_SNACKBAR_SUCCESS:
      return { ...state, message: action.payload, type: snackbarType.success };

    case types.SHOW_SNACKBAR_ERROR:
      return {
        ...state,
        message: action.payload,
        type: snackbarType.error,
        correlationId: action.correlationId
      };

    case types.SHOW_SNACKBAR_WARNING: {
      return {
        ...state,
        message: action.payload,
        type: snackbarType.warning
      };
    }

    default:
      return state;
  }
}
