import * as types from "./actionTypes";

function beginAjaxCall() {
  return { type: types.BEGIN_AJAX_CALL };
}

function ajaxCallError() {
  return { type: types.AJAX_CALL_ERROR };
}

function endAjaxCall() {
  return { type: types.END_AJAX_CALL };
}

export function sendHttpRequest(ajaxProm) {
  return async (dispatch) => {
    dispatch(beginAjaxCall());
    try {
      const result = await ajaxProm;
      dispatch(endAjaxCall());
      return result;
    } catch (error) {
      dispatch(ajaxCallError(error));
      throw error;
    }
  };
}
