import { combineReducers } from "redux";
import ajaxStatusReducer from "./ajaxStatusReducer";
import serverReducer from "../../features/server/reducer";
import {
  sessionsReducer,
  forwardsReducer
} from "../../features/session/reducers";
import { optionsReducer } from "../../features/forwards/options/reducers";
import releaseNotesReducer from "../../features/releaseNotes/reducer";
import frontendSessionReducer from "../../features/frontendSession/reducer";
import snackbarReducer from "../../features/snackbar/reducer";
import chartsReducer from "../../features/charts/chartsReducer";
import chatbotReducer from "../../features/chatbot/reducer";

const rootReducer = combineReducers({
  frontendSession: frontendSessionReducer,
  server: serverReducer,
  sessions: sessionsReducer,
  forwards: forwardsReducer,
  options: optionsReducer,
  releaseNotes: releaseNotesReducer,
  charts: chartsReducer,
  snackbar: snackbarReducer,
  bot: chatbotReducer,
  ajaxCallsInProgress: ajaxStatusReducer
});

export default rootReducer;
